"use strict";
this.name = "blackmonk_minesweeper";
this.description = "Minesweeper ship script.";

//this.$mother is set from the populator

this.shipBeingAttacked = function (whom) {
	//relay attack to the possible mother
	if (this.$mother) {
		this.$mother.script.shipBeingAttacked(whom);
		this.$mother.AIScript.shipBeingAttacked(whom);
	}
}
